Package org.eclipse.jface.viewers

## Class ColumnLayoutData

- java.lang.Object
- - org.eclipse.jface.viewers.ColumnLayoutData

Direct Known Subclasses:
  `ColumnPixelData`, `ColumnWeightData`

    public abstract class ColumnLayoutData
    extends Object

An abstract column layout data describing the information needed (by `TableLayout`) to properly lay out a table.

This class is not intended to be subclassed outside the framework.

Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`boolean` `resizable` Indicates whether the column is resizable.

### Constructor Summary

Constructors
`protected` `ColumnLayoutData​(boolean resizable)` Creates a new column layout data object.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### resizable

    public boolean resizable

Indicates whether the column is resizable.

### Constructor Detail

#### ColumnLayoutData

    protected ColumnLayoutData​(boolean resizable)

Creates a new column layout data object.

Parameters:
  `resizable` - `true` if the column is resizable, and `false` if not